Skip to content
Start here

Bulk update Threat Signals article read status

PATCH/accounts/{account_id}/cloudforce-one/v2/threat-signals/articles

Marks up to 50 Threat Signals articles as read or unread.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One Write
Path ParametersExpand Collapse
account_id: string
Body ParametersJSONExpand Collapse
article_ids: array of string
read: boolean
ReturnsExpand Collapse
errors: array of object { message }
message: string
messages: array of object { message, code, expected, 2 more }
message: string
code: optional number
expected: optional string
path: optional array of string
reason: optional "free_custom_feed_limit" or "free_custom_skills_disabled" or "free_tier_reconciliation_in_progress" or 3 more
One of the following:
"free_custom_feed_limit"
"free_custom_skills_disabled"
"free_tier_reconciliation_in_progress"
"free_tier_reconciliation_failed"
"raw_content_expired"
"curated_visibility_changed"
result: object { updated_count }
updated_count: number
success: true

Bulk update Threat Signals article read status

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cloudforce-one/v2/threat-signals/articles \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "article_ids": [
            "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
          ],
          "read": true
        }'
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0,
      "expected": "expected",
      "path": [
        "string"
      ],
      "reason": "free_custom_feed_limit"
    }
  ],
  "result": {
    "updated_count": 0
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0,
      "expected": "expected",
      "path": [
        "string"
      ],
      "reason": "free_custom_feed_limit"
    }
  ],
  "result": {
    "updated_count": 0
  },
  "success": true
}